program KnipLog;
   var  LogFile, MapFile: text;
        Dummy12: string[12];
        Marker: string[5];
        Dummy1: char;

begin
   if (ParamCount<>1) then begin
      Writeln ('syntax: KnipLog filename');
      Halt(1);
   end;
   Assign (LogFile, ParamStr(1)+'.LOG');
   Assign (MapFile, ParamStr(1)+'.MAP');
   Reset (LogFile);
   Rewrite (MapFile);
   while Dummy12<>'Category +  ' do readln(LogFile, Dummy12);
   readln (LogFile);
   writeln (MapFile, 'chrom ', ParamStr(1));
   read (LogFile, Dummy1);
   if Dummy1='e' then begin {no more than 1 map in this category}
      reset (LogFile);
      while Dummy12<>'Solution aft' do readln (LogFile, Dummy12);
      readln (LogFile);
      read (LogFile, Dummy1, Dummy1, Dummy1);
      read (LogFile, Marker);
      writeln (MapFile, Marker, '     0');
      while not eoln(LogFile) do begin
         read (LogFile, Marker);
         writeln (MapFile, Marker, '     1');
      end;
   end else begin
      Dummy1:='X';
      while Dummy1<>' ' do begin
         read (LogFile, Dummy1);
      end;
      read (LogFile, Dummy1);
      Dummy1:='X';
      while Dummy1<>' ' do begin
         read (LogFile, Dummy1);
         write (MapFile, Dummy1);
      end;
      readln (LogFile);
      writeln (MapFile, '     0');
      read (LogFile, Dummy1);
      while Dummy1<>#13 do begin
         read (LogFile, Dummy1);
         Dummy1:='X';
         while Dummy1<>' ' do begin
            read (LogFile, Dummy1);
         end;
         read (LogFile, Dummy1);
         Dummy1:='X';
         while Dummy1<>' ' do begin
            read (LogFile, Dummy1);
            write (MapFile, Dummy1);
         end;
         readln (LogFile);
         writeln (MapFile, '     1');
         read (LogFile, Dummy1);
      end;
   end;

   close (LogFile);
   close (MapFile);
end.